// components/main/kabelueberwachung/kue705FO/handlers/handleCloseChartModal.ts
const handleCloseChartModal = (
  setShowChartModal: (value: boolean) => void,
  chartInstance: any
) => {
  if (chartInstance.current) {
    console.log("Chart wird beim Schließen des Modals zerstört.");
    chartInstance.current.destroy();
    chartInstance.current = null;
  }
  setShowChartModal(false);
};

export default handleCloseChartModal;
